CLOCK_GETHRTIME(3)

NAME
clock_gethrtime - get high resolution time using the specified clock

SYNOPSIS
#include <rtl_time.h> hrtime_t clock_gethrtime(clockid_t clock);

DESCRIPTION
This function is a non-portable Real-Time Linux extension. clock_gethrtime returns the clock reading in nanoseconds. This is a convenience function for clock_gettime(3) hrtime_t is a 64-bit signed integer.

NOTES
The following clocks are supported by this release of Real-Time Linux:

CLOCK_REALTIME
    The standard POSIX clock.

CLOCK_8254
    The clock that is used on non-SMP x86 systems.

CLOCK_APIC
    The local APIC clock on SMP x86 systems.

AUTHOR
Michael Barabanov <baraban@fsmlabs.com>

SEE ALSO
rtl_getschedclock(3), rtl_setclockmode(3), clock_gettime(3), clock_gethrtime(3)